bedtools (2.31.0+dfsg-2) unstable; urgency=medium

  * gcc-13.patch: fixed upstream by different change.
    The Applied-Upstream field is set accordingly to point to PR 1067.
  * d/rules: use sse for floating point calculations.
    This fixes bedtools "intersect" test failures during build time.
    This change is brought for consistency with htslib's own settings.
    While this is an architecture baseline violation, the alternative
    is no htslib support at all for the i386 distribution, since it
    fails its own test suite with anything else than sse for floating
    point calculations. (Closes: #1055414)
  * d/control: depend on python3:any per M-A hint.

 -- Étienne Mollier <emollier@debian.org>  Sat, 18 Nov 2023 16:34:59 +0100

bedtools (2.31.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * remove_barski_binding_site.png.patch: unfuzz.
  * 2to3.patch: refresh.
  * 2to3.patch: declare forwarding not-needed.
    Upstream looks to assume compatibility with both python and python3.
  * 2to3.patch: remove further occurrences of python.
    There are some tests and some documentation referring to the
    unversioned python, which in Debian is by default python2.
  * hardening patch: unfuzz.
  * htsutil patch: unfuzz.
  * gcc-13.patch: add; fix ftbfs with gcc-13.
    Thanks to David Seifert (Closes: #1037588)
  * d/control: bedtools-test depend on python3.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Jun 2023 22:57:16 +0200

bedtools (2.30.0+dfsg-3) unstable; urgency=medium

  * Do not use ulimit in test
    Closes: #1034349
  * Override false positive (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 13 Apr 2023 14:12:15 +0200

bedtools (2.30.0+dfsg-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - indent, added ref to guix

  [ Étienne Mollier ]
  * d/control: add myself to uploaders
  * d/watch: fix broken link to github

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 06:54:44 +0200

bedtools (2.30.0+dfsg-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * New upstream version 2.30.0+dfsg.
  * Refresh 2to3.patch and hardening patch.
  * Remove test related patches, 32-bit-fixes.patch and spelling patch;
    applied upstream.
  * Do not include htsutil as a side test program in bedtools anymore;
    the test tool is inlined as subcommand to reduce memory footprint.

  [ John Marshall ]
  * Add htsutil patch to implement the bedtools htsutil subcommand.

  [ Étienne Mollier ]
  * d/rules: set $htsutil to use the bedtools htsutil subcommand.
  * d/t/run-unit-test: use the bedtools htsutil subcommand.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 27 Jan 2021 17:26:26 +0100

bedtools (2.29.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Repair broken link in run-unit-test script; fixes autopkgtest regression.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 17 Jan 2021 12:11:39 +0100

bedtools (2.29.2+dfsg-5) unstable; urgency=medium

  * Delete standard debian/gbp.conf
  * Revert deletion of test binary htsutil since it is needed to replace
    samtools that's not working any more for this purpose
  * Move htsutil tool to bedtools package
    Closes: #978679

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 13:01:58 +0100

bedtools (2.29.2+dfsg-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Remove the need for samtools via patch from upstream.
  * Include patch from Bernhard Übelacker to fix 32-bit builds. TODO: the
    autopkgtests do not yet pass on i386 (and likely neither on other 32-bit
    archs).
    Closes: #955403
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Andreas Tille ]
  * Fix permissions of .sam files
  * Delete test binary to make sure it will not be installed
  * DEP3
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Dec 2020 19:03:35 +0100

bedtools (2.29.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Build on any architecture

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 16:02:39 +0100

bedtools (2.29.2+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Added version to dependency of samtools

  [ Michael R. Crusoe ]
  * Make the build verbose
  * Fix a spelling typo
  * Improve hardening & enable cross building

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Feb 2020 16:30:06 +0100

bedtools (2.29.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed failing intersect.new #78 test as instructed on
    https://github.com/arq5x/bedtools2/issues/814
  * Standard-Version: 4.5.0

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Jan 2020 01:44:47 +0100

bedtools (2.29.0+dfsg-2) unstable; urgency=medium

  * Fix Build-Depends (s/python/python3/) and replace remaining references
    to python by python3
    Closes: #936199
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Remove patches louder, reproducible_build.patch that are missing
    from debian/patches/series.
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Thu, 05 Dec 2019 12:11:59 +0100

bedtools (2.29.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Removed Chris' reproducible builds patch - upstream diverged too much

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Nov 2019 21:41:22 +0100

bedtools (2.28.0+dfsg1-1) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #936199
  * Remove unsafe links for gcc and g++

 -- Andreas Tille <tille@debian.org>  Sun, 01 Sep 2019 11:14:59 +0200

bedtools (2.28.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * And another new dependency on liblzma-dev

 -- Steffen Moeller <moeller@debian.org>  Fri, 26 Jul 2019 19:06:23 +0200

bedtools (2.28.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Debian CI kindly pointed me to a new build dependency
    on libbz2-dev (https://salsa.debian.org/med-team/bedtools/-/jobs/238984).

 -- Steffen Moeller <moeller@debian.org>  Fri, 26 Jul 2019 18:38:06 +0200

bedtools (2.28.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

  * Semi-automated update with Andreas' routine-update script,
    only reintroduced the conflicts of the test package with earlier
    releases of bedtools.

 -- Steffen Moeller <moeller@debian.org>  Fri, 26 Jul 2019 17:33:35 +0200

bedtools (2.27.1+dfsg-4) unstable; urgency=medium

  * Disable the shuffle test on other 32-bit architectures.
  * Restrict build to little-endian release architectures. Closes: #890117
  * QA-build with Salsa.

 -- Charles Plessy <plessy@debian.org>  Thu, 14 Feb 2019 22:11:21 +0900

bedtools (2.27.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Print compilation commands
  * For *i386: use -ffloat-store; disable shuffle tests. Closes: #890116
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * mark bedtools-test as Multi-Arch: foreign

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 04 Feb 2019 05:33:48 -0800

bedtools (2.27.1+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Install autopkgtest script as /usr/share/doc/bedtools/run-unit-test
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Drop useless get-orig-source target

  [ Liubov Chuprikova ]
  * Fix "autopkgtest fails while it succeeded in the past"
    updated run-unit-test to match new upstream tests
    Closes: #894781

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 22 May 2018 21:31:56 +0200

bedtools (2.27.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sat, 10 Feb 2018 10:54:56 +0100

bedtools (2.26.0+dfsg-5) unstable; urgency=medium

  * Use "override_dh_install-indep" to prevent failures when
    architecture-independent packages are not built.  Closes: #876802

 -- Charles Plessy <plessy@debian.org>  Tue, 26 Sep 2017 22:42:08 +0900

bedtools (2.26.0+dfsg-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix autopkgtest
  * Ignore failures in the split feature for the moment
    (Related to bug #747337 but hesitating to close it)
  * debhelper 10
  * d/watch: version=4

  [Steffen Moeller]
  * debian/upstream/metadata: Added references to registries
  * debian/copyright: Added Upstream-Name

  [ Charles Plessy ]
  * Distribute /usr/bin/groupBy again.
  * Conflict/Replace/Provide filo (which is being removed from Debian).

 -- Charles Plessy <plessy@debian.org>  Mon, 25 Sep 2017 23:09:53 +0900

bedtools (2.26.0+dfsg-3) unstable; urgency=medium

  d6d3452 Sync with upstream repo at commit 6bf23c, closes: #831833.

 -- Charles Plessy <plessy@debian.org>  Sat, 05 Nov 2016 21:48:09 +0900

bedtools (2.26.0+dfsg-2) unstable; urgency=medium

  * Enable reproducible builds
    Closes: #834110

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 15:04:19 +0200

bedtools (2.26.0+dfsg-1) unstable; urgency=medium

  [ Charles Plessy ]
  854dcc2 Merge tag 'v2.26.0' into debian/unstable
  99afd11 Ensure the architecture-independent package can be built separately.
          Thanks to Santiago Vila <sanvila@debian.org> (Closes: #805998)

  [ Andreas Tille ]
  * Switch to default repository layout
  * Remove docs/content/images/tool-glyphs/barski_binding_site.png from upstream
    tarball since it is from
      Jothi et al, 2008, doi:10.1093/nar/gkn488
    since it is licensed under no-DFSG CC-BY-NC 2.0
  * Delete reference to removed image from Debian shipped doc
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * hardening += all
  * drop outdated Homepage field from debian/upstream/metadata
  * debian/control: Fix homepage

 -- Charles Plessy <plessy@debian.org>  Thu, 07 Jul 2016 13:58:08 +0900

bedtools (2.25.0-1) unstable; urgency=medium

  e37865 Merge tag 'v2.25.0' into debian/unstable

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Sep 2015 16:55:21 +0200

bedtools (2.24.0-2) unstable; urgency=medium

  * Tests need bgzip from tabix package
  * Add missing input files for tests
  * link to genomes files in autopkgtests to enable more tests passing
  * Fix MIPS build issue (Thanks for picking the patch from upstream
    Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>)
    Closes: #791830

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jul 2015 14:33:38 +0200

bedtools (2.24.0-1) unstable; urgency=medium

  [ Charles Plessy ]
  b757049  Merge tag 'v2.22.1' into debian/unstable
  f62bafa Conforms to Policy 3.9.6.

  [ Andreas Tille ]
  * Remove superfluous debian/README.source and replace it by a helpful
    one describing the workflow of this Git archive
  * New upsteam version
  * Bash completions now go to /usr/share/bash-completion/completions
  * Strip executable flag from all *.bed files
  * Make sure all *.sh scripts of the test suite have a proper '#!/bin/bash'
    line and the executable flag set
  * debian/copyright
     - update download location
     - turn DEP5 incompatible License field in header into a Comment

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jul 2015 18:21:22 +0200

bedtools (2.21.0-1) unstable; urgency=medium

  856a5fd Merge tag 'v2.21.0' into debian/unstable
  a4f6ab7 Merge corrections on version number.

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Sep 2014 18:48:17 +0900

bedtools (2.20.1-1) unstable; urgency=medium

  * New upstream version
  * Fix permission of some genome example files

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jun 2014 21:50:39 +0200

bedtools (2.19.1-2) unstable; urgency=medium

  * debian/tests/control: Add "Depends: @, samtools" as advised in
    #747337
  * debian/tests/upstream: Use content from bedtools-test package to
    actually run the test suite
    Closes: #747337
  * debian/rules: Use dh to easily enable unit tests at package build
    time
  * Build-Depends: samtools to run the full test suite

 -- Andreas Tille <tille@debian.org>  Fri, 09 May 2014 09:48:05 +0200

bedtools (2.19.1-1) unstable; urgency=medium

  479e63b Merge tag 'v2.19.1' into debian/unstable

  [ Charles Plessy ]
  93a7cf1 Create autopkgtest testsuite and a new package bedtools-test.
  46183f8 debian/copyright: update path, correct license short name.
  4fd441a debian/rules: removed obsolete exception of compression.

  [ James McCoy ]
  b4fa8e1 Move debian/upstream to debian/upstream/metadata

 -- Charles Plessy <plessy@debian.org>  Fri, 21 Mar 2014 14:51:44 +0900

bedtools (2.19.0-1) unstable; urgency=low

  e07e70c Imported Upstream version 2.19.0
  afdc61a Watch GitHub at https://github.com/arq5x/bedtools2.
  4abe14e Source control file normalised with config-model-edit.
  0518353 Corrected a typo in the long description. (Closes: #714873)
  f63d85e Follow the layout of the upstream repository.
  c25f9e5 Correct name of README file in debian/docs.
  5561c7c Emulate source format 1.0 in the format 3.0 (quilt).
  a45a0ab Canonical VCS URLs.
  4459dfe Conforms with Policy 3.9.5.

 -- Charles Plessy <plessy@debian.org>  Sat, 15 Feb 2014 19:39:23 +0900

bedtools (2.17.0-1) unstable; urgency=low

  bb9012e Imported Upstream version 2.16.2.
  9006b23 Imported Upstream version 2.17.0.
  9112569 Documented BEDTools license as a whole.
  325689c Removed Pre-Depends: dpkg (>= 1.15.6).
  a781b14 Conforms with Policy 3.9.4.
  84b1167 Use Debhelper 9.
  0bf572d Distribute the test suite.
  422cd34 Bash completion for BEDTools.

 -- Charles Plessy <plessy@debian.org>  Sun, 04 Nov 2012 17:59:41 +0900

bedtools (2.16.1-1) unstable; urgency=low

  b7f2405 New upstream release.
  4add346 Corrected, updated and normalised Debian copyright.
  00b426d Conforms to Debian Policy 3.9.3.
  72c3c94 Verbose Debhelper.

 -- Charles Plessy <plessy@debian.org>  Fri, 16 Mar 2012 19:06:49 +0900

bedtools (2.15.0-1) unstable; urgency=low

  3f8e754 Upstream version 2.15.0.
  f27b295 Build-depend on python because of scripts/makeBashScripts.py.
  2e3e8e8 Removed the /usr/bin/groupBy wrapper, as groupBy is also
          distributed by the filo package.

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Jan 2012 15:07:45 +0900

bedtools (2.14.3-1) unstable; urgency=low

  04f6aa3 Bugfix release.

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Nov 2011 09:25:38 +0900

bedtools (2.14.2-1) unstable; urgency=low

  356313d Bugfix release.

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Nov 2011 12:15:32 +0900

bedtools (2.14.1-1) unstable; urgency=low

  bce732c New upstream release and new tool, multiBedIntersect.

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Nov 2011 11:14:35 +0900

bedtools (2.13.4-1) unstable; urgency=low

  e553c37 New upstream release.

 -- Charles Plessy <plessy@debian.org>  Sat, 29 Oct 2011 11:08:02 +0900

bedtools (2.13.3-1ubuntu1) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 21:30:47 +0100

bedtools (2.13.3-1) unstable; urgency=low

  ea1c596 New upstream release.

 -- Charles Plessy <plessy@debian.org>  Wed, 05 Oct 2011 17:18:15 +0900

bedtools (2.13.2-1) unstable; urgency=low

  1930a26 New upstream release.

 -- Charles Plessy <plessy@debian.org>  Sat, 24 Sep 2011 09:34:29 +0900

bedtools (2.13.1-1) unstable; urgency=low

  2e3fe5e New upstream release.
  ff5450e Compress source and binary packages with xz.
  ef58a33 Suggest filo for the groupBy command.
  df206c0 Mangle debian/watch download URL.
  2fe7cff Simplified repacking as upstream tarballs do not contain
          ‘*/*DS_Store’ files anymore.

 -- Charles Plessy <plessy@debian.org>  Sat, 10 Sep 2011 23:32:43 +0900

bedtools (2.12.0-1) unstable; urgency=low

  * Initial release (Closes: #629597)

 -- Charles Plessy <plessy@debian.org>  Wed, 08 Jun 2011 17:01:19 +0900
